# class KIconDialog | Dialog for interactive selection of icons. More...
Definition | `#include <kicondialog.h>`
Inherits | KDialogBase (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KIconDialog (QWidget *parent=0L, const char *name=0L)
- KIconDialog (KIconLoader *loader, QWidget *parent=0, const char *name=0)
- ~KIconDialog ()
- void setStrictIconSize (bool b)
- QString selectIcon (int group=KIcon::Desktop, int context=KIcon::Application, bool user=false)

## Detailed Description

Dialog for interactive selection of icons. Use the function selectIcon() let the user select an icon.

KIconDialog (QWidget *parent=0L, const char *name=0L) | ### KIconDialog

KIconDialog (KIconLoader *loader, QWidget *parent=0, const char *name=0) | ### KIconDialog

~KIconDialog () | ### ~KIconDialog

void setStrictIconSize (bool b) | ### setStrictIconSize

Sets a strict icon size policy for allowed icons. When true, only icons of the specified group's size in selectIcon are shown. When false, icons not available at the desired group's size will also be selectable.

QString selectIcon (int group=KIcon::Desktop, int context=KIcon::Application, bool user=false) | ### selectIcon

Pops up the dialog an lets the user select an icon.

Parameters:

group | The icon group this icon is intended for. Providing the group shows the icons in the dialog with the same appearance as when used outside the dialog.
context | The initial icon context. Initially, the icons having this context are shown in the dialog. The user can change this.
user | Begin with the "user icons" instead of "system icons".

Returns: The name of the icon, suitable for loading with KIconLoader.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:44 2001, using kdoc 2.0a53.